/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Presentation;

import FunctionLayer.ErrorMessageDisplay;
import FunctionLayer.LogicFacade;
import FunctionLayer.MapBoard;
import FunctionLayer.Users;
import java.util.List;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 *
 * @author install1
 */
public class PlayerInfo extends Command {

    @Override
    String execute(HttpServletRequest request, HttpServletResponse response) throws ErrorMessageDisplay {
        HttpSession session = request.getSession();
        if (session != null) {
            String PlayerIndexSteamID = request.getParameter("player");
            List<Users> users = (List<Users>) session.getAttribute("LeaderBoard");
            List<MapBoard> mapBoard = (List<MapBoard>) session.getAttribute("MapBoard");
            Users user = LogicFacade.getUser(PlayerIndexSteamID, users, mapBoard);
            List<MapBoard> PlayerRelatedMapBoard = LogicFacade.getPlayerRelatedMapBoard(mapBoard, user);
            String SteamID64 = Long.toString(LogicFacade.convertSteamIdToCommunityId(user.getSteamID()));
            List<Integer> PlayerPositions = LogicFacade.getPlayerPositions(PlayerRelatedMapBoard, user);
            request.setAttribute("CommunityID", SteamID64);
            request.setAttribute("user", user);
            request.setAttribute("PlayerRelatedMapBoard", PlayerRelatedMapBoard);
            request.setAttribute("positions", PlayerPositions);
            //throw new ErrorMessageDisplay("PlayerRelatedMapBoard size: " + PlayerRelatedMapBoard.size());
            return "PlayerInfo";
        } else {
            return "SessionTimeoutRedirect";
        }
    }

}
