/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package FunctionLayer;

import DBAcess.DataMapper;
import java.beans.PropertyVetoException;
import java.io.IOException;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentMap;

/**
 *
 * @author install1
 */
public class LogicFacade {

    public static List<MapBoard> GetAllMapColoumns() throws ErrorMessageDisplay, SQLException, IOException, PropertyVetoException {
        List<MapBoard> AllMapColoumns = DataMapper.GetAllMapColoumns();
        AllMapColoumns = MapNameUpdate(AllMapColoumns);
        return AllMapColoumns;
    }

    public static List<Users> getAllUsersNameSteamIdInitialization() throws SQLException, ErrorMessageDisplay, IOException, PropertyVetoException {
        List<Users> users = DataMapper.getAllUsersNameSteamIdInitialization();
        users = DataMapper.SetUsersAvatars(users);
        return users;
    }

    private static List<MapBoard> MapNameUpdate(List<MapBoard> AllMapColoumns) {
        int l_iLength = 0;
        StringBuilder sb;
        for (int i = 0; i < AllMapColoumns.size(); i++) {
            l_iLength = AllMapColoumns.get(i).getMapName().length() - 1;
            while (Character.isDigit(AllMapColoumns.get(i).getMapName().charAt(l_iLength))) {
                l_iLength--;
            }
            if (AllMapColoumns.get(i).getMapName().charAt(l_iLength) == 'S') {
                sb = new StringBuilder();
                sb = sb.append(AllMapColoumns.get(i).getMapName().substring(0, l_iLength));
                AllMapColoumns.get(i).setMapName(sb.toString() + " Stage: "
                        + AllMapColoumns.get(i).getMapName().substring(l_iLength + 1, AllMapColoumns.get(i).getMapName().length()));
            }
        }
        return AllMapColoumns;
    }

    private static List<RecentTimes> MapNameUpdateRecentTimes(List<RecentTimes> AllRecentTimes) {
        int l_iLength = 0;
        StringBuilder sb;
        for (int i = 0; i < AllRecentTimes.size(); i++) {
            l_iLength = AllRecentTimes.get(i).getMYSQLStage().length() - 1;
            while (Character.isDigit(AllRecentTimes.get(i).getMYSQLStage().charAt(l_iLength))) {
                l_iLength--;
            }
            if (AllRecentTimes.get(i).getMYSQLStage().charAt(l_iLength) == 'S') {
                sb = new StringBuilder();
                sb = sb.append(AllRecentTimes.get(i).getMYSQLStage().substring(0, l_iLength));
                AllRecentTimes.get(i).setMYSQLStage(sb.toString() + " Stage: "
                        + AllRecentTimes.get(i).getMYSQLStage().substring(l_iLength + 1, AllRecentTimes.get(i).getMYSQLStage().length()));
            }
        }
        return AllRecentTimes;
    }

    public synchronized static void UpdatePlayerAvatarsToDB(List<Users> userAvatarLinks, int AVATAR_INDEXES1) throws IOException, ErrorMessageDisplay {
        List<String> ConvertedID = new ArrayList();
        int indexRange = AVATAR_INDEXES1;
        if (AVATAR_INDEXES1 + 200 >= userAvatarLinks.size()) {
            indexRange = userAvatarLinks.size();
        } else {
            indexRange += 200;
        }
        for (int i = AVATAR_INDEXES1; i < indexRange; i++) {
            ConvertedID.add(Long.toString(convertSteamIdToCommunityId(userAvatarLinks.get(i).getSteamID())));
        }
        DataMapper.UpdatePlayerAvatarsToDB(userAvatarLinks, ConvertedID, AVATAR_INDEXES1, indexRange);
    }

    public static long convertSteamIdToCommunityId(String steamId) {
        if (steamId.matches("^STEAM_[0-1]:[0-1]:[0-9]+$")) {
            String[] tmpId = steamId.substring(8).split(":");
            return Long.valueOf(tmpId[0]) + Long.valueOf(tmpId[1]) * 2 + 76561197960265728L; //76561197960265728L
        } else if (steamId.matches("^\\[U:[0-1]:[0-9]+\\]+$")) {
            String[] tmpId = steamId.substring(3, steamId.length() - 1).split(":");
            return Long.valueOf(tmpId[0]) + Long.valueOf(tmpId[1]) + 76561197960265728L; //76561197960265727L
        }
        return 0;
    }

    public static Users getUser(String PlayerIndexSteamID, List<Users> users, List<MapBoard> mapBoard) throws ErrorMessageDisplay {
        for (int i = 0; i < users.size(); i++) {
            if (users.get(i).getSteamID().equals(PlayerIndexSteamID)) {
                Users user = users.get(i);
                return user;
            }
        }
        return null;
    }

    public static List<Users> getPlayerPointsAndRankInitialization(List<Users> LeaderBoard, List<MapBoard> AllMapColoumns) throws ErrorMessageDisplay, SQLException, IOException, PropertyVetoException {
        LinkedHashMap<Users, Float> usertimes;
        int Points = 0;
        int index = 0;
        LinkedHashMap<String, Users> HM = new LinkedHashMap();
        List<Users> tempusers;
        /*
        AllMapColoumns roughly 58 itterations currently
        LeaderBoard around 1500(?) right now
         */
        for (int i = 0; i < LeaderBoard.size(); i++) {
            HM.put(LeaderBoard.get(i).getSteamID(), LeaderBoard.get(i));
        }
        for (int i = 0; i < AllMapColoumns.size(); i++) {
            usertimes = DataMapper.GetMapTimes(ConvertPageNameToDBName(AllMapColoumns.get(i).getMapName()), LeaderBoard, HM);
            tempusers = new ArrayList(usertimes.keySet());
            for (int j = 0; j < tempusers.size(); j++) {
                Points = ConvertPositionToPoints(j, tempusers.size(), Points);
                Users user = HM.get(tempusers.get(j).getSteamID());
                if (user != null) {
                    index = LeaderBoard.indexOf(user);
                    LeaderBoard.get(index).setPlayerPoints(LeaderBoard.get(index).getPlayerPoints() + Points);
                }
            }
        }
        LeaderBoard.sort(Comparator.comparing(Users::getPlayerPoints).reversed());
        for (int i = 0; i < LeaderBoard.size(); i++) {
            LeaderBoard.get(i).setRank(i + 1);
        }
        return LeaderBoard;
    }

    /**
     * @deprecated @param LeaderBoard
     * @param AllMapColoumns
     * @return
     * @throws ErrorMessageDisplay
     * @throws SQLException
     * @throws IOException
     * @throws PropertyVetoException
     */
    public static List<Users> getPlayerPointsAndRankUpdates(List<Users> LeaderBoard, List<MapBoard> AllMapColoumns) throws ErrorMessageDisplay, SQLException, IOException, PropertyVetoException {
        LinkedHashMap<Users, Float> usertimes;
        int Points = 0;
        int index = 0;
        LinkedHashMap<String, Users> HM = new LinkedHashMap();
        List<Users> tempusers;
        for (int i = 0; i < LeaderBoard.size(); i++) {
            HM.put(LeaderBoard.get(i).getSteamID(), LeaderBoard.get(i));
        }
        //grab ingame players and currently played map, only update those
        //this means max 64 players can get updated and only stages on one map
        MapBoard map = DataMapper.getCurrentMap();
        List<MapBoard> MapLvls = DataMapper.getCurrentMapLevels(map);
        List<String> IngamePlayersSteamID = DataMapper.getHlstatsxIngamePlayerSteamID();
        List<Users> IngamePlayers = ConvertSteam3ToSteam2(IngamePlayersSteamID, HM);
        for (int i = 0; i < MapLvls.size(); i++) {
            usertimes = DataMapper.GetMapTimes(ConvertPageNameToDBName(MapLvls.get(i).getMapName()), IngamePlayers, HM);
            tempusers = new ArrayList(usertimes.keySet());
            for (int j = 0; j < tempusers.size(); j++) {
                Points = ConvertPositionToPoints(j, tempusers.size(), Points);
                Users user = HM.get(tempusers.get(j).getSteamID());
                if (user != null) {
                    index = LeaderBoard.indexOf(user);
                    LeaderBoard.get(index).setPlayerPoints(LeaderBoard.get(index).getPlayerPoints() + Points);
                }
            }
        }
        LeaderBoard.sort(Comparator.comparing(Users::getPlayerPoints).reversed());
        for (int i = 0; i < LeaderBoard.size(); i++) {
            LeaderBoard.get(i).setRank(i + 1);
        }
        return LeaderBoard;
    }

    public static int GetAdmin(String name, String psw) throws ErrorMessageDisplay {
        return DataMapper.GetAdmin(name, psw);
    }

    public static void DeleteMapEntry(String map, String SteamID) throws ErrorMessageDisplay {
        map = ConvertPageNameToDBName(map);
        //throw new ErrorMessageDisplay("failed in logicfacade. map: " + map + " steam: " + SteamID);
        DataMapper.DeleteMapEntry(map, SteamID);
    }

    private static String ConvertPageNameToDBName(String map) throws ErrorMessageDisplay {
        StringBuilder sb;
        int Stage = 0;
        int l_iLength = map.length() - 1; //maybe -1
        if (Character.isDigit(map.charAt(l_iLength)) && map.contains("Stage:")) {
            while (Character.isDigit(map.charAt(l_iLength))) {
                l_iLength--;
            }
            l_iLength++;
            if (l_iLength < map.length()) {
                Stage = Integer.valueOf(map.substring(l_iLength, map.length()));
            }
            l_iLength -= 8;
            sb = new StringBuilder();
            sb = sb.append(map.substring(0, l_iLength)).append("S").append(Stage);
            map = sb.toString();
        }
        //throw new ErrorMessageDisplay("failed in logicfacade. ConvertPageNameToDBName: " + map);
        return map;
    }

    private static List<Users> ConvertSteam3ToSteam2(List<String> IngamePlayersSteamID, Map<String, Users> HM) {
        List<Users> IngamePlayers = new ArrayList();
        String Convert3To64To2 = "";
        for (int i = 0; i < IngamePlayersSteamID.size(); i++) {
            if (IngamePlayersSteamID.get(i).contains("U")) {
                Convert3To64To2 = convertCommunityIdToSteamId(convertSteamIdToCommunityId(IngamePlayersSteamID.get(i)));
            } else {
                Convert3To64To2 = IngamePlayersSteamID.get(i);
            }
            Users user = HM.get(Convert3To64To2);
            if (user != null) {
                IngamePlayers.add(user);
            }
        }
        return IngamePlayers;
    }

    public static String convertCommunityIdToSteamId(long communityId) {
        long steamId1 = communityId % 2;
        long steamId2 = communityId - 76561197960265728L;
        steamId2 = (steamId2 - steamId1) / 2;
        return "STEAM_0:" + steamId1 + ":" + steamId2;
    }

    public static Map<String, String> getAllAdmins() throws ErrorMessageDisplay {
        Map<String, String> HM = DataMapper.getAllAdmins();
        return HM;
    }

    public static void createAdmin(String name, String password, String role) throws ErrorMessageDisplay {
        DataMapper.createAdmin(name, password, role);
    }

    public static List<MapBoard> getAllMapValues(List<MapBoard> AllMapColoumns, List<Users> LeaderBoard) throws ErrorMessageDisplay {
        List<MapBoard> AllMapColoumnsToDB = new ArrayList();
        List<MapValues> mvListnull = new ArrayList();
        MapBoard maps;
        Map<String, Users> HM = new HashMap();
        List<MapBoard> allMapBoards = new ArrayList();
        LinkedHashMap<Users, Float> MapRelatedHashMap;
        List<Users> HashmaprelatedUsers;
        List<Float> HashmaprelatedFloats;
        int MapPoints = 0;
        for (int i = 0; i < AllMapColoumns.size(); i++) {
            maps = new MapBoard(ConvertPageNameToDBName(AllMapColoumns.get(i).getMapName()), mvListnull);
            AllMapColoumnsToDB.add(maps);
        }
        for (int i = 0; i < LeaderBoard.size(); i++) {
            HM.put(LeaderBoard.get(i).getSteamID(), LeaderBoard.get(i));
        }
        // something goes wrong here as in retrieving maps
        for (int i = 0; i < AllMapColoumns.size(); i++) {
            List<MapValues> mvList = new ArrayList();
            MapRelatedHashMap = new LinkedHashMap(DataMapper.GetMapRelatedTimes(AllMapColoumnsToDB.get(i), LeaderBoard, HM));
            HashmaprelatedUsers = new ArrayList(MapRelatedHashMap.keySet());
            HashmaprelatedFloats = new ArrayList(MapRelatedHashMap.values());

            for (int j = 0; j < MapRelatedHashMap.size(); j++) {
                MapPoints = ConvertPositionToPoints(j, HashmaprelatedUsers.size(), MapPoints);
                MapValues mv1 = new MapValues(j, HashmaprelatedUsers.get(j), HashmaprelatedFloats.get(j), MapPoints);
                mvList.add(mv1);
            }
            maps = new MapBoard(AllMapColoumns.get(i).getMapName(), mvList);
            allMapBoards.add(maps);
            /*
            if (i > 45) {
                throw new ErrorMessageDisplay("map: " + allMapBoards.get(i).getMapName()
                        + " time: " + allMapBoards.get(i).getMapvalues().get(0).getTime() + " allMapBoards size: " + allMapBoards.size()
                        + " allMapBoards mapvalues size: " + allMapBoards.get(i).getMapvalues().size() + " allMapBoards.get(i).getMapvalues().get(0).getUser().getName(): " + allMapBoards.get(i).getMapvalues().get(0).getUser().getName()); //getMapvalues().get(0) is trobuel
            }
             */
        }
        return allMapBoards;
    }

    public static List<MapBoard> getPlayerRelatedMapBoard(List<MapBoard> mapBoard, Users user) throws ErrorMessageDisplay {
        List<MapBoard> newMapBoard = new ArrayList();
        int index = 0;
        for (int j = 0; j < mapBoard.size(); j++) {
            for (int i = 0; i < mapBoard.get(j).getMapvalues().size(); i++) {
                if (mapBoard.get(j).getMapvalues().get(i).getUser().equals(user)) {
                    newMapBoard.add(mapBoard.get(j));
                }
            }
        }
        //throw new ErrorMessageDisplay("newMapBoard size: " + newMapBoard.size() + " mapBoard size: " + mapBoard.size());
        return newMapBoard;
    }

    public static List<Integer> getPlayerPositions(List<MapBoard> PlayerRelatedMapBoard, Users user) {
        List<Integer> PlayerPositions = new ArrayList();
        int index = 0;
        for (int i = 0; i < PlayerRelatedMapBoard.size(); i++) {
            for (int j = 0; j < PlayerRelatedMapBoard.get(i).getMapvalues().size(); j++) {
                if (PlayerRelatedMapBoard.get(i).getMapvalues().get(j).getUser().equals(user)) {
                    PlayerPositions.add(PlayerRelatedMapBoard.get(i).getMapvalues().get(j).getPosition());
                    break;
                }
            }
        }
        return PlayerPositions;
    }

    public static int getMapIndex(List<MapBoard> mapBoard, String map) throws ErrorMessageDisplay {
        int index = 0;
        for (int i = 0; i < mapBoard.size(); i++) {
            if (mapBoard.get(i).getMapName().equals(map)) {
                index = i;
                break;
            }
        }
        //throw new ErrorMessageDisplay("getMapIndex: " + index + " map: " + map + " mapBoard.get(i).getMapName(): " + mapBoard.get(0).getMapName());
        return index;
    }

    public static List<UserBanners> getUserBanners(List<Users> PlayerLeaderBoard) throws ErrorMessageDisplay {
        List<String> ConvertedID = new ArrayList();
        for (int i = 0; i < PlayerLeaderBoard.size(); i++) {
            ConvertedID.add(Long.toString(convertSteamIdToCommunityId(PlayerLeaderBoard.get(i).getSteamID())));
        }
        List<UserBanners> UBList = DataMapper.getUserbanners(PlayerLeaderBoard, ConvertedID);
        Collections.sort(UBList, (o1, o2) -> o1.getUser().getRank() - o2.getUser().getRank());
        /*
        throw new ErrorMessageDisplay("UBList 0: " + UBList.get(0).getUser().getName()
                + " UBlist 1: " + UBList.get(1).getUser().getName() + " PlayerLeaderBoard 0: " + PlayerLeaderBoard.get(0).getName() + " PlayerLeaderBoard 1: "
                + PlayerLeaderBoard.get(1).getName() + " UBlist size: " + UBList.size() + " PlayerLeaderBoard size: " + PlayerLeaderBoard.size());
         */
        return UBList;
    }

    public static List<Users> getPlayertimeAmount(List<Users> PlayerLeaderBoard, List<MapBoard> mapBoard) {
        boolean test = false;
        for (int i = 0; i < 100; i++) {
            if (PlayerLeaderBoard.get(i).getTimes() > 0) {
                test = true;
                break;
            }
        }
        if (!test) {
            for (int i = 0; i < mapBoard.size(); i++) {
                for (int j = 0; j < mapBoard.get(i).getMapvalues().size(); j++) {
                    int index = PlayerLeaderBoard.indexOf(mapBoard.get(i).getMapvalues().get(j).getUser());
                    PlayerLeaderBoard.get(index).setTimes(PlayerLeaderBoard.get(index).getTimes() + 1);
                }
            }
        }
        return PlayerLeaderBoard;
    }

    public static LinkedHashMap<Integer, RecentTimes> getRecentTimes(ConcurrentMap<Integer, Users> UserCacheTimeAmount1, ConcurrentMap<Integer, MapBoard> mpb) throws ErrorMessageDisplay {
        List<RecentTimes> RT = DataMapper.getRecentTimes();
        RT = MapNameUpdateRecentTimes(RT);
        List<Users> userlist = new ArrayList(UserCacheTimeAmount1.values());
        List<MapBoard> mpblist = new ArrayList(mpb.values());
        LinkedHashMap<Integer, RecentTimes> LHM = new LinkedHashMap();
        for (int i = 0; i < RT.size(); i++) {
            String RTSteamID = RT.get(i).getMYSQLSteamID();
            int index = userlist.indexOf(UserCacheTimeAmount1.entrySet().stream().filter(e -> e.getValue().getSteamID().equals(RTSteamID)).findFirst().get().getValue());
            Users user = userlist.get(index);
            RT.get(i).setUser(user);
            String mapname = RT.get(i).getMYSQLStage();
            index = mpblist.indexOf(mpb.entrySet().stream().filter(e -> e.getValue().getMapName().equals(mapname)).findFirst().get().getValue());
            int index2 = -1;
            if (mpblist.get(index).getMapvalues().stream().filter(e -> e.getUser().getSteamID()
                    .equals(user.getSteamID())).findFirst().isPresent()) {
                index2 = mpblist.get(index).getMapvalues().indexOf(mpblist.get(index)
                        .getMapvalues().stream().filter(e -> e.getUser().getSteamID().equals(user.getSteamID())).findFirst().get());
            }
            if (index2 != -1) {
                if (mpblist.get(index).getMapvalues().get(index2).getUser() == null) {
                    throw new ErrorMessageDisplay("user is also null!");
                }
                float test = mpblist.get(index).getMapvalues().get(index2).getTime();
                float newtime = test;
                try {
                    int minutesval = (((int) RT.get(i).getMYSQLOldTime()) * 60);
                    float secondsval = (RT.get(i).getMYSQLOldTime() - (int) RT.get(i).getMYSQLOldTime()) * 100;
                    int newminutesval = (((int) newtime) * 60);
                    float newsecondsval = (newtime - (int) newtime) * 100;
                    float improvedTime = (minutesval + secondsval) - (newminutesval + newsecondsval);
                    minutesval = (int) improvedTime / 60;
                    secondsval = (improvedTime - (minutesval * 60));
                    secondsval *= 0.01;
                    improvedTime = minutesval + secondsval;
                    //174,999 - 50,1 = 124.899 / 60 = 2 * 60 = 120. 124.899 - 120 = 4.899 * 0.01 = 0.04899 + 2 = 2.04899.
                    // 2 minutes and 4 seconds, 8.99 milliseconds
                    RT.get(i).setImprovedTime(improvedTime);
                } catch (Exception ex) {
                    throw new ErrorMessageDisplay("getRecentTimes: " + ex.getMessage() + " mapname: " + mapname + " user: " + user.getName() + " index: " + index);
                }
            }
        }
        for (int i = 0; i < RT.size(); i++) {
            LHM.put(i, RT.get(i));
        }
        return LHM;
    }

    public boolean containsSteamID(final List<Users> list, final String name) {
        return list.stream().map(Users::getSteamID).filter(name::equals).findFirst().isPresent();
    }

    public static int ConvertPositionToPoints(int Position, int PlayerCount, int Points) {
        float li = 0;
        li = PlayerCount - Position;
        Points = (int) Math.floor((li / PlayerCount) * 100);
        return Points;
    }
}
